<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>CSS Flexbox</title>
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <h1>CSS Flexbox</h1>
    <h2>Grâce à la propriété flex vous allez pouvoir définir la position d'éléments dans leur conteneur !</h2>

    <div class="sous_titre">
        <h3>Pour commener : "diplay: flex;"</h3>
    </div>

    <div class="container">
        <div class="text_container"></div>

            <div class="justify-content">
                <h3>Conteneur</h3>


                <p><span class="propriete">justify-content</span> aligne horizontalement les éléments :</p>
                <ul>
                    <li>flex-start : aligne les éléments à gauche.</li>
                    <li>flex-end : aligne les éléments à droite.</li>
                    <li>center : aligne les éléments au centre.</li>
                    <li>space-between : cré un espace égale entre les éléments.</li>
                    <li>space-around : cré un espace égale autour des éléments</li>
                </ul>
            </div>

            <div class="align-items">
                <p><span class="propriete">align-items</span> aligne verticalement les éléments :</p>
                <ul>
                    <li>flex-start : aligne les éléments en haut.</li>
                    <li>flex-end : aligne les éléments en bas.</li>
                    <li>center : aligne les éléments au centre.</li>
                    <li>baseline : aligne les éléments à la base du conteneur.</li>
                    <li>stretch : étire les éléments pour qu'ils s'adaptent au contenteur.</li>
                </ul>
            </div>

            <div class="flex-direction">
                <p><span class="propriete">flex-direction</span> définit la direction des éléments :</p>
                <ul>
                    <li>row : place les éléments de gauche à droite.</li>
                    <li>row-reverse : place les éléments de droite à gauche.</li>
                    <li>column : place les éléments de haut en bas.</li>
                    <li>colmun-reverse : place les éléments de bas en haut.</li>
                </ul>
            </div>

            <div class="flex-wrap">
                <p><span class="propriete">flew-wrap</span> réparti les éléments sur plusieurs lignes ou colones si vous
                    rencontré des problèmes de place.
                </p>
                <ul>
                    <li>nowrap : oblige les éléments à rester sur une ligne ou colone.</li>
                    <li>wrap : réparti les éléments sur plusieur lignes ou colones si nécessaire.</li>
                    <li>wrap-reverse : comme wrap mais en inversant les éléments.</li>
                </ul>


                <p><span class="propriete">flex-flow</span> permet d'utiliser les valeurs de flex-direction et flex-wrap
                    sur
                    une ligne en les séparants par
                    un
                    espace.</p>
            </div>

            <div class="align-content">
                <p><span class="propriete">align-content</span> définit l'espacement entre toute les lignes.</p>
                <ul>
                    <li>flex-start : place les lignes en haut du conteneur.</li>
                    <li>flex-end : place les lignes en bas du conteneur.</li>
                    <li>center : aligne les lignes au centre vertical du conteneur.</li>
                    <li>space-between : cré un espace égale entre les lignes.</li>
                    <li>space-around : cré un espace égale autour des lignes</li>
                    <li>stretch : étire les lignes pour qu'ils s'adaptent au contenteur.</li>
                </ul>
            </div>

            <div class="order">
                <h3>Items</h3>


                <p><span class="propriete">order</span> change l'ordre d'un items isolé du conteneur 
                    par rapport à sa pisition inital.
                    Vous pouvez utiliser des valeurs numérique positive et négatives !</p>

                <p><span class="propriete">align-self</span> fait la même chose que align-items mais uniquement pour
                    l'élement isolé.</p>
            </div>
        <div class="flex1">
            <img src="./flex/justify_content.png">
        </div>
        <div class="flex2">
            <img src="./flex/align-items.png">
        </div>
        <div class="flex3">
            <img id="flex3" src="./flex/column.png">
        </div>
        <div class="flex4">
            <img id="flex4" src="./flex/row.png">
        </div>
        <div class="flex5">
            <img src="./flex/order.png">
        </div>
        <div class="flex6">
            <img src="./flex/wrap.png">
        </div>
        <div class="flex7">
            <img src="./flex/align-content.png" id="flex7">
        </div>
    </div>

    <footer>
        <a href="./accueil.html">Retour à l'accueil.</a>
    </footer>









</body>

</html>